<template>
  <form class="card card-w30" @submit.prevent="submit">
    <div class="form-control">
      <label for="type">Тип блока</label>
      <select id="type" v-model="type">
        <option value="title">Заголовок</option>
        <option value="subtitle">Подзаголовок</option>
        <option value="avatar">Аватар</option>
        <option value="text">Текст</option>
      </select>
    </div>

    <div class="form-control">
      <label for="value">Значение</label>
      <textarea id="value" v-model="text" rows="3"></textarea>
    </div>

    <button class="btn primary" :disabled="this.disableButton">Добавить</button>
  </form>
</template>

<script>
export default {
  emits: ['block-added'],
  data(){
    return {
      type:'title',
      text:''
    }
  },
  methods:{
    submit(){
      this.$emit('block-added', {
        type:this.type,
        text:this.text,
        key:Date.now()
      })
      this.text = ''
      this.type = 'title'
    }
  },
  computed:{
    disableButton(){
      return this.text.length <= 3
    }
  }
}
</script>

<style scoped>

</style>
